<mr-load-more-feed
[loading]="ui.loading$ | async"
[end]="ui.endOfSaved$ | async"
[data]="saved$ | async"
(loadMore)="loadMore()">

    <ng-container *ngFor="let thread of saved$ | async">

        <ng-container *ngIf="thread.body then brief else empty"></ng-container>

        <ng-template #brief>
            <mr-thread-brief [thread]="thread"></mr-thread-brief>
        </ng-template>

        <ng-template #empty>
            <mr-ghost-box [height]="150"></mr-ghost-box>
        </ng-template>

    </ng-container>

</mr-load-more-feed>
